[X2Go-Commits] [buildscripts] 03/03: bin/build-deb-package: hook into Ubuntu code name to numerical version conversion.

git-admin at x2go.org git-admin at x2go.org
Fri Jul 1 05:17:15 CEST 2016


This is an automated email from the git hooks/post-receive script.

x2go pushed a commit to branch master
in repository buildscripts.

commit 00136951974b9f633c62e885da3b0539b4f27c23
Author: Mihai Moldovan <ionic at ionic.de>
Date:   Fri Jul 1 05:16:39 2016 +0200

    bin/build-deb-package: hook into Ubuntu code name to numerical version conversion.
---
 bin/build-deb-package |   15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

diff --git a/bin/build-deb-package b/bin/build-deb-package
index 09de607..d6070d8 100755
--- a/bin/build-deb-package
+++ b/bin/build-deb-package
@@ -263,7 +263,6 @@ build_packages() {
 
 				# for Ubuntu version is the codename of the distribution release
 				typeset -l codename="${l_CODENAME}"
-				typeset -l numerical_version="$("${script_path}/debian-codename-to-version.sh" "${codename}")"
 
 				# translate the version name for Debian releases
 				[ "x${l_CODENAME}" = "xsid" ] && codename="unstable"
@@ -271,6 +270,20 @@ build_packages() {
 				#[ "x$l_CODENAME" = "xwheezy" ] && codename=stable
 				#[ "x$l_CODENAME" = "xoldstable" ] && codename=oldstable
 
+				typeset -l numerical_version=""
+				# First, try to map to a Debian version.
+				numerical_version="$("${script_path}/debian-codename-to-version.sh" "${codename}")"
+
+				if [ "${?}" -ne "0" ]; then
+					# This failed, so try to map to an Ubuntu version. If that fails, we error out.
+					numerical_version="$("${script_path}/ubuntu-codename-to-version.sh" "${codename}")"
+
+					if [ "${?}" -ne "0" ]; then
+						echo "Error: unable to map code name \"${codename}\" to Debian or Ubuntu numerical versions. Unknown code name? Aborting." >&2
+						exit 1
+					fi
+				fi
+
 				# modify the section for non-main package builds
 				[ "x${COMPONENT}" != "xmain" ] && {
 					mv -- "debian/control" "debian/control.tmp"

--
Alioth's /srv/git/code.x2go.org/buildscripts.git//..//_hooks_/post-receive-email on /srv/git/code.x2go.org/buildscripts.git


More information about the x2go-commits mailing list